ICU 78.3: U_HEADER_ONLY_NAMESPACE::AllScalarValues< CP32 > Class Template Reference

ICU 78.3 78.3

Public Member Functions
U_HEADER_ONLY_NAMESPACE::AllScalarValues< CP32 > Class Template Reference

A C++ "range" over all Unicode scalar values U+0000..U+D7FF & U+E000..U+10FFFF. More...

`#include <utfiterator.h>`

## Public Member Functions
| AllScalarValues ()
| Constructor. More...
auto | begin () const
auto | end () const

## Detailed Description

### template<typename CP32>
class U_HEADER_ONLY_NAMESPACE::AllScalarValues< CP32 >

A C++ "range" over all Unicode scalar values U+0000..U+D7FF & U+E000..U+10FFFF.

That is, all code points except surrogates. Only scalar values can be represented in well-formed UTF-8/16/32. https://www.unicode.org/glossary/#unicode_scalar_value

Intended for test and builder code.

Template Parameters

  CP32 | Code point type: UChar32 (=int32_t) or char32_t or uint32_t

Draft:
  This API may be changed in the future versions and was introduced in ICU 78

See also
  U_IS_SCALAR_VALUE

Definition at line 333 of file utfiterator.h.

## Constructor & Destructor Documentation

## ◆ AllScalarValues()

template<typename CP32 >

U_HEADER_ONLY_NAMESPACE::AllScalarValues< CP32 >::AllScalarValues | ( |  | ) |
| inline

Constructor.

Draft:
  This API may be changed in the future versions and was introduced in ICU 78

Definition at line 337 of file utfiterator.h.

## Member Function Documentation

## ◆ begin()

template<typename CP32 >

auto U_HEADER_ONLY_NAMESPACE::AllScalarValues< CP32 >::begin | ( |  | ) | const
| inline

Returns
  an iterator over all Unicode scalar values. The iterator returns CP32 integers.

Draft:
  This API may be changed in the future versions and was introduced in ICU 78

Definition at line 343 of file utfiterator.h.

## ◆ end()

template<typename CP32 >

auto U_HEADER_ONLY_NAMESPACE::AllScalarValues< CP32 >::end | ( |  | ) | const
| inline

Returns
  an exclusive-end iterator over all Unicode scalar values.

Draft:
  This API may be changed in the future versions and was introduced in ICU 78

Definition at line 348 of file utfiterator.h.

The documentation for this class was generated from the following file:

- common/unicode/utfiterator.h